using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Windows.Media.Animation;

namespace WPF_Przycisk
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private Storyboard scenariusz;

        public Window1()
        {
            InitializeComponent();
            
            //Transformacja
            //button1.LayoutTransform = new RotateTransform(45);
            //button1.RenderTransform = new RotateTransform(45, 0, 0);
            //button1.RenderTransform = new ScaleTransform(1.5,1.5);
            //button1.RenderTransform = new SkewTransform(-15, 0);

            //Animacja
            /*
            DoubleAnimation animacja = new DoubleAnimation();
            animacja.From = 0.0;
            animacja.To = 360.0;
            animacja.Duration=new Duration(TimeSpan.FromSeconds(10));
            animacja.RepeatBehavior=RepeatBehavior.Forever;
            scenariusz = new Storyboard();
            scenariusz.Children.Add(animacja);
            obrot = (RotateTransform)button1.LayoutTransform;
            Storyboard.SetTargetName(animacja, "obrot");
            Storyboard.SetTargetProperty(animacja, new PropertyPath(RotateTransform.AngleProperty));

            scenariusz.Begin(this); //to polecenie mozna umiescic w metodzie zdarzeniowej
            */
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Przykładowy napis");
        }
    }
}
